Issue 88525

Summary: Error in showing and saving presentation when removing last slide is undone
Product: Impress Reporter: cno
Component: viewingAssignee: wolframgarten
Status: CLOSED FIXED QA Contact: issues@graphics <issues>
Severity: Trivial    
Priority: P2 CC: issues
Version: DEV300m9   
Target Milestone: OOo 3.0   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
Presentation to demonstrate errors none

Description cno 2008-04-21 08:45:48 UTC
Error in showing and saving presentation when removing last slide is undone

1. Presentation with 3 slides
2. Save & Close
3. Open
4. Remove last slide (context menu in left panel)
5. Ctrl-Z (Undo)
6. Go to slide 3
7. F5(Start)
8. Slide not shown
9. Escape
10. (Got to another slide)
1q. Ctrl-S → Write Error

I'll attach sampe presentation
Comment 1 cno 2008-04-21 08:47:17 UTC
Created attachment 53074 [details]
Presentation to demonstrate errors
Comment 2 wolframgarten 2008-04-21 09:46:50 UTC
Reproducible. Reassigned.
Comment 3 clippka 2008-06-06 14:19:11 UTC
fixed in cws impress144 for OOo 3.0

the slide sorter kept the uno api wrapper for the page alive but after put into
undo, the uno api wrapper disposed itself. Reworked all of this so that the uno
api wrapper lives as long as the SdrPage lives.
Comment 4 clippka 2008-06-09 17:43:49 UTC
verified in cws, back to qa
Comment 5 wolframgarten 2008-06-10 09:54:09 UTC
Verified in CWS.
Comment 6 wolframgarten 2008-07-07 12:15:44 UTC
Tested in DEV300_m23.